| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Gaudi::SysProcStat Class Reference

`#include <RootCnv/SysProcStat.h>`

## Public Member Functions
| SysProcStat ()
virtual | ~SysProcStat ()=default
virtual int | update ()

## Public Attributes
int | pid
int | ppid
int | pgrp
int | session
int | tty_nr
int | tpgid
int | exit_signal
int | processor
long unsigned | flags
long unsigned | minflt
long unsigned | cminflt
long unsigned | majflt
long unsigned | cmajflt
long unsigned | utime
long unsigned | stime
long unsigned | startime
long unsigned | vsize
long unsigned | rlim
long unsigned | startcode
long unsigned | endcode
long unsigned | startstack
long unsigned | kstkesp
long unsigned | kstkeip
long unsigned | signal
long unsigned | blocked
long unsigned | sigingore
long unsigned | sigcatch
long unsigned | wchan
long unsigned | nswap
long unsigned | cnswap
long int | cutime
long int | cstime
long int | priority
long int | nice
long int | num_threads
long int | itrealvalue
long int | rss
char | comm [128]
char | state
long | time

## Detailed Description

Definition at line 13 of file SysProcStat.h.

## Constructor & Destructor Documentation

SysProcStat::SysProcStat | ( |  | ) |

Definition at line 14 of file SysProcStat.cpp.

14 { update(); }
Gaudi::SysProcStat::update
virtual int update()
Definition: SysProcStat.cpp:19

virtual Gaudi::SysProcStat::~SysProcStat | ( |  | ) |
| virtual default

## Member Function Documentation

int SysProcStat::update | ( |  | ) |
| virtual

Definition at line 19 of file SysProcStat.cpp.

20 {
21 FILE* file = fopen( "/proc/self/stat", "r" );
22 int par = fscanf( file, "%d %s %c %d %d"
23 "%d %d %d %lu %lu"
24 "%lu %lu %lu %lu %lu"
25 "%ld %ld %ld %ld %ld"
26 "%ld %lu %lu %ld %lu"
27 "%lu %lu %lu %lu %lu"
28 "%lu %lu %lu %lu %lu"
29 "%lu %lu %d %d",
30 &pid, comm, &state, &ppid, &pgrp, &session, &tty_nr, &tpgid, &flags, &minflt, &cminflt, &majflt,
31 &cmajflt, &utime, &stime, &cutime, &cstime, &priority, &nice, &num_threads, &itrealvalue, &startime,
32 &vsize, &rss, &rlim, &startcode, &endcode, &startstack, &kstkesp, &kstkeip, &signal, &blocked,
33 &sigingore, &sigcatch, &wchan, &nswap, &cnswap, &exit_signal, &processor );
34 fclose( file );
35
36 if ( par != 39 ) return -1;
37
38 struct timeval tv;
39 gettimeofday( &tv, nullptr );
40 time = tv.tv_sec * 1000 + tv.tv_usec / 1000;
41
42 return pid;
43 }
Gaudi::SysProcStat::tty_nr
int tty_nr
Definition: SysProcStat.h:17
Gaudi::SysProcStat::sigingore
long unsigned sigingore
Definition: SysProcStat.h:18
Gaudi::SysProcStat::stime
long unsigned stime
Definition: SysProcStat.h:18
Gaudi::SysProcStat::startcode
long unsigned startcode
Definition: SysProcStat.h:18
Gaudi::SysProcStat::cutime
long int cutime
Definition: SysProcStat.h:20
Gaudi::SysProcStat::sigcatch
long unsigned sigcatch
Definition: SysProcStat.h:18
Gaudi::SysProcStat::cstime
long int cstime
Definition: SysProcStat.h:20
std::fscanf
T fscanf(T...args)
Gaudi::SysProcStat::blocked
long unsigned blocked
Definition: SysProcStat.h:18
Gaudi::SysProcStat::nice
long int nice
Definition: SysProcStat.h:20
Gaudi::SysProcStat::cminflt
long unsigned cminflt
Definition: SysProcStat.h:18
Gaudi::SysProcStat::nswap
long unsigned nswap
Definition: SysProcStat.h:18
Gaudi::SysProcStat::majflt
long unsigned majflt
Definition: SysProcStat.h:18
Gaudi::SysProcStat::pgrp
int pgrp
Definition: SysProcStat.h:17
Gaudi::SysProcStat::minflt
long unsigned minflt
Definition: SysProcStat.h:18
Gaudi::SysProcStat::ppid
int ppid
Definition: SysProcStat.h:17
Gaudi::SysProcStat::itrealvalue
long int itrealvalue
Definition: SysProcStat.h:20
Gaudi::SysProcStat::kstkeip
long unsigned kstkeip
Definition: SysProcStat.h:18
std::fclose
T fclose(T...args)
Gaudi::SysProcStat::processor
int processor
Definition: SysProcStat.h:17
Gaudi::SysProcStat::wchan
long unsigned wchan
Definition: SysProcStat.h:18
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:437
Gaudi::SysProcStat::vsize
long unsigned vsize
Definition: SysProcStat.h:18
Gaudi::SysProcStat::comm
char comm[128]
Definition: SysProcStat.h:21
Gaudi::SysProcStat::cnswap
long unsigned cnswap
Definition: SysProcStat.h:18
Gaudi::SysProcStat::time
long time
Definition: SysProcStat.h:23
std::fopen
T fopen(T...args)
Gaudi::SysProcStat::cmajflt
long unsigned cmajflt
Definition: SysProcStat.h:18
Gaudi::SysProcStat::state
char state
Definition: SysProcStat.h:21
Gaudi::SysProcStat::signal
long unsigned signal
Definition: SysProcStat.h:18
Gaudi::SysProcStat::utime
long unsigned utime
Definition: SysProcStat.h:18
Gaudi::SysProcStat::tpgid
int tpgid
Definition: SysProcStat.h:17
Gaudi::SysProcStat::kstkesp
long unsigned kstkesp
Definition: SysProcStat.h:18
Gaudi::SysProcStat::startstack
long unsigned startstack
Definition: SysProcStat.h:18
Gaudi::SysProcStat::rlim
long unsigned rlim
Definition: SysProcStat.h:18
Gaudi::SysProcStat::priority
long int priority
Definition: SysProcStat.h:20
Gaudi::SysProcStat::session
int session
Definition: SysProcStat.h:17
Gaudi::SysProcStat::rss
long int rss
Definition: SysProcStat.h:20
Gaudi::SysProcStat::pid
int pid
Definition: SysProcStat.h:17
Gaudi::SysProcStat::exit_signal
int exit_signal
Definition: SysProcStat.h:17
Gaudi::SysProcStat::flags
long unsigned flags
Definition: SysProcStat.h:18
Gaudi::SysProcStat::startime
long unsigned startime
Definition: SysProcStat.h:18
Gaudi::SysProcStat::num_threads
long int num_threads
Definition: SysProcStat.h:20
Gaudi::SysProcStat::endcode
long unsigned endcode
Definition: SysProcStat.h:18

## Member Data Documentation

long unsigned Gaudi::SysProcStat::blocked

Definition at line 18 of file SysProcStat.h.

long unsigned Gaudi::SysProcStat::cmajflt

Definition at line 18 of file SysProcStat.h.

long unsigned Gaudi::SysProcStat::cminflt

Definition at line 18 of file SysProcStat.h.

long unsigned Gaudi::SysProcStat::cnswap

Definition at line 18 of file SysProcStat.h.

char Gaudi::SysProcStat::comm[128]

Definition at line 21 of file SysProcStat.h.

long int Gaudi::SysProcStat::cstime

Definition at line 20 of file SysProcStat.h.

long int Gaudi::SysProcStat::cutime

Definition at line 20 of file SysProcStat.h.

long unsigned Gaudi::SysProcStat::endcode

Definition at line 18 of file SysProcStat.h.

int Gaudi::SysProcStat::exit_signal

Definition at line 17 of file SysProcStat.h.

long unsigned Gaudi::SysProcStat::flags

Definition at line 18 of file SysProcStat.h.

long int Gaudi::SysProcStat::itrealvalue

Definition at line 20 of file SysProcStat.h.

long unsigned Gaudi::SysProcStat::kstkeip

Definition at line 18 of file SysProcStat.h.

long unsigned Gaudi::SysProcStat::kstkesp

Definition at line 18 of file SysProcStat.h.

long unsigned Gaudi::SysProcStat::majflt

Definition at line 18 of file SysProcStat.h.

long unsigned Gaudi::SysProcStat::minflt

Definition at line 18 of file SysProcStat.h.

long int Gaudi::SysProcStat::nice

Definition at line 20 of file SysProcStat.h.

long unsigned Gaudi::SysProcStat::nswap

Definition at line 18 of file SysProcStat.h.

long int Gaudi::SysProcStat::num_threads

Definition at line 20 of file SysProcStat.h.

int Gaudi::SysProcStat::pgrp

Definition at line 17 of file SysProcStat.h.

int Gaudi::SysProcStat::pid

Definition at line 17 of file SysProcStat.h.

int Gaudi::SysProcStat::ppid

Definition at line 17 of file SysProcStat.h.

long int Gaudi::SysProcStat::priority

Definition at line 20 of file SysProcStat.h.

int Gaudi::SysProcStat::processor

Definition at line 17 of file SysProcStat.h.

long unsigned Gaudi::SysProcStat::rlim

Definition at line 18 of file SysProcStat.h.

long int Gaudi::SysProcStat::rss

Definition at line 20 of file SysProcStat.h.

int Gaudi::SysProcStat::session

Definition at line 17 of file SysProcStat.h.

long unsigned Gaudi::SysProcStat::sigcatch

Definition at line 18 of file SysProcStat.h.

long unsigned Gaudi::SysProcStat::sigingore

Definition at line 18 of file SysProcStat.h.

long unsigned Gaudi::SysProcStat::signal

Definition at line 18 of file SysProcStat.h.

long unsigned Gaudi::SysProcStat::startcode

Definition at line 18 of file SysProcStat.h.

long unsigned Gaudi::SysProcStat::startime

Definition at line 18 of file SysProcStat.h.

long unsigned Gaudi::SysProcStat::startstack

Definition at line 18 of file SysProcStat.h.

char Gaudi::SysProcStat::state

Definition at line 21 of file SysProcStat.h.

long unsigned Gaudi::SysProcStat::stime

Definition at line 18 of file SysProcStat.h.

long Gaudi::SysProcStat::time

Definition at line 23 of file SysProcStat.h.

int Gaudi::SysProcStat::tpgid

Definition at line 17 of file SysProcStat.h.

int Gaudi::SysProcStat::tty_nr

Definition at line 17 of file SysProcStat.h.

long unsigned Gaudi::SysProcStat::utime

Definition at line 18 of file SysProcStat.h.

long unsigned Gaudi::SysProcStat::vsize

Definition at line 18 of file SysProcStat.h.

long unsigned Gaudi::SysProcStat::wchan

Definition at line 18 of file SysProcStat.h.

The documentation for this class was generated from the following files:

- RootCnv/RootCnv/SysProcStat.h
- RootCnv/src/SysProcStat.cpp